Google Web Toolkit
Search Google Code:

# Class MultiWordSuggestOracle.MultiWordSuggestion

public static class MultiWordSuggestOracle.MultiWordSuggestion
extends Object
implements SuggestOracle.Suggestion, IsSerializable
Suggestion class for MultiWordSuggestOracle.

## Constructors

MultiWordSuggestOracle.MultiWordSuggestion() | Constructor used by RPC.
MultiWordSuggestOracle.MultiWordSuggestion(String, String) | Constructor for `MultiWordSuggestion`.

## Methods

getDisplayString() | Gets the display string associated with this suggestion.
getReplacementString() | Gets the replacement string associated with this suggestion.

## Constructor Detail

### MultiWordSuggestOracle.MultiWordSuggestion

public MultiWordSuggestOracle.MultiWordSuggestion()
Constructor used by RPC.

### MultiWordSuggestOracle.MultiWordSuggestion

public MultiWordSuggestOracle.MultiWordSuggestion(String replacementString, String displayString)
Constructor for `MultiWordSuggestion`.

#### Parameters

replacementString
  the string to enter into the SuggestBox's text box if the suggestion is chosen
displayString
  the display string

## Method Detail

### getDisplayString

public String getDisplayString()
Gets the display string associated with this suggestion. The interpretation of the display string depends upon the value of its oracle's SuggestOracle.isDisplayStringHTML().

#### Return Value

the display string for this suggestion

### getReplacementString

public String getReplacementString()
Gets the replacement string associated with this suggestion. When this suggestion is selected, the replacement string will be entered into the SuggestBox's text box.

#### Return Value

the string to be entered into the SuggestBox's text box when this suggestion is selected